var $AdfDhtmlTrainButtonBarPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlTrainButtonBarPeer");
$goog$exportSymbol$$("AdfDhtmlTrainButtonBarPeer", $AdfDhtmlTrainButtonBarPeer$$);
$AdfDhtmlTrainButtonBarPeer$$.prototype.$ConvertClientIdToLocator$ = function $$AdfDhtmlTrainButtonBarPeer$$$$$ConvertClientIdToLocator$$($clientId$$459_component$$2259$$, $childComponent$$26_clientIdDepth$$8$$, $descComponentClientId$$9_index$$208_subComponentId$$9$$, $replaceArray$$10$$) {
  $clientId$$459_component$$2259$$ = $clientId$$459_component$$2259$$.$getClientId$();
  $childComponent$$26_clientIdDepth$$8$$ = $AdfStrings$$.count($clientId$$459_component$$2259$$, ":");
  $AdfAssert$$.assert(0 <= $descComponentClientId$$9_index$$208_subComponentId$$9$$.indexOf($clientId$$459_component$$2259$$));
  $descComponentClientId$$9_index$$208_subComponentId$$9$$ = $descComponentClientId$$9_index$$208_subComponentId$$9$$.substring($clientId$$459_component$$2259$$.length + 1);
  var $endIndex$$13$$ = $descComponentClientId$$9_index$$208_subComponentId$$9$$.indexOf(":");
  if (0 < $endIndex$$13$$) {
    $descComponentClientId$$9_index$$208_subComponentId$$9$$ = $descComponentClientId$$9_index$$208_subComponentId$$9$$.substring(0, $endIndex$$13$$);
    switch(parseInt($descComponentClientId$$9_index$$208_subComponentId$$9$$)) {
      case 0:
        $descComponentClientId$$9_index$$208_subComponentId$$9$$ = "back";
        break;
      case 1:
        $descComponentClientId$$9_index$$208_subComponentId$$9$$ = "next";
        break;
      default:
        return $AdfLogger$$.$LOGGER$.warning("Invalid index:", $descComponentClientId$$9_index$$208_subComponentId$$9$$), $clientId$$459_component$$2259$$;
    }
    $replaceArray$$10$$.push([$childComponent$$26_clientIdDepth$$8$$ + 1, $descComponentClientId$$9_index$$208_subComponentId$$9$$]);
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlTrainButtonBarPeer.prototype.ConvertClientIdToLocator", {$ConvertClientIdToLocator$:$AdfDhtmlTrainButtonBarPeer$$.prototype.$ConvertClientIdToLocator$});
$AdfDhtmlTrainButtonBarPeer$$.prototype.$convertLocatorToClientId$ = function $$AdfDhtmlTrainButtonBarPeer$$$$$convertLocatorToClientId$$($component$$2260$$, $index$$209$$) {
  var $clientId$$460$$ = $component$$2260$$.$getClientId$(), $button$$14_root$$25$$ = this.$getDomElement$(), $idStartsWith$$;
  if ("back" == $index$$209$$) {
    return $button$$14_root$$25$$ = $AdfDomUtils$$.$getFirstDescendentElement$($button$$14_root$$25$$, "button"), $idStartsWith$$ = $clientId$$460$$ + ":0", $AdfAssert$$.assert($button$$14_root$$25$$.id && $button$$14_root$$25$$.id.substring(0, $idStartsWith$$.length) == $idStartsWith$$, "Incorrect element found"), $button$$14_root$$25$$.id;
  }
  if ("next" == $index$$209$$) {
    return $idStartsWith$$ = $clientId$$460$$ + ":1", $button$$14_root$$25$$ = $AdfDomUtils$$.$getLastElementMatch$($button$$14_root$$25$$, !1, function($component$$2260$$) {
      return "BUTTON" == $component$$2260$$.tagName && $component$$2260$$.id && $component$$2260$$.id.substring(0, $idStartsWith$$.length) == $idStartsWith$$;
    }), $button$$14_root$$25$$.id;
  }
  $AdfLogger$$.$LOGGER$.warning("Invalid index:", $index$$209$$);
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlTrainButtonBarPeer.prototype.convertLocatorToClientId", {$convertLocatorToClientId$:$AdfDhtmlTrainButtonBarPeer$$.prototype.$convertLocatorToClientId$});
